%global modname iniparse

# Use the same directory of the main package for subpackage licence and docs
%global _docdir_fmt %{name}

Name:           python-%{modname}
Version:        0.5
Release:        1.20241211141832634684.pr35.28.g1983ad3%{?dist}
Summary:        Python Module for Accessing and Modifying Configuration Data in INI files
License:        MIT and Python
URL:            https://github.com/candlepin/python-iniparse
Source0:        python-iniparse-0.5.tar.gz

BuildArch: noarch

%global _description \
iniparse is an INI parser for Python which is API compatible\
with the standard library's ConfigParser, preserves structure of INI\
files (order of sections & options, indentation, comments, and blank\
lines are preserved when data is updated), and is more convenient to\
use.

%description %{_description}

%package -n python3-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-test

%description -n python3-%{modname} %{_description}

Python 3 version.

%prep
%setup -q -n python-iniparse-0.5
chmod -c -x html/index.html

%build
%py3_build

%install
%py3_install
rm -vfr %{buildroot}%{_docdir}/*

%check
%{__python3} runtests.py

%files -n python3-%{modname}
%license LICENSE LICENSE-PSF
%doc README.md Changelog html/
%{python3_sitelib}/%{modname}/
%{python3_sitelib}/%{modname}-%{version}-*.egg-info/



%changelog
* Wed Dec 11 2024 Packit <hello@packit.dev> - 0.5-1.20241211141832634684.pr35.28.g1983ad3
- feat: Added python 3.13 to setup.py (Jiri Hnidek)
- Fix configuration for Packit 1.0.0 (packit-public-repos-bot)
- Use load tests protocol to run the test suite (Steve Kowalik)
- Fix tests with python 3.11.7 (Daniel Garcia Moreno)
- Updated list of supported Python versions (Jiri Hnidek)
- Fixed style issues with black tool. (Jiri Hnidek)
- Add type hints (Matyas Horky)
- Add '.idea' directory to .gitignore (Matyas Horky)
- Stop explicitly passing arguments to super() function calls (Matyas Horky)
- Drop Python 2 code (Matyas Horky)
- Drop dependency on six (Matyas Horky)
- Stop explicit inheritance from object (Matyas Horky)
- Remove Travis CI link from README (Matyas Horky)
- Fix compatibility issues with Python 3.11 (Jiri Hnidek)
- Expose the line number in the parsed content (Luigi Toscano)
- Wrong indentation. (Jiri Hnidek)
- Documentation of packit is little bit confusing. (Jiri Hnidek)
- Try to add tests to .packit.yml file. (Jiri Hnidek)
- Added support for packit service (Jiri Hnidek)

* Tue May 18 2021 Jiri Hnidek <jhnidek@redhat.com> - 0.5-1
- Release 0.5
- Moved project to https://github.com/candlepin/python-iniparse
- Added support for Python 3
* Sat Jun 12 2010 Paramjit Oberoi <param@cs.wisc.edu> - 0.4-1
- Release 0.4
* Sat Apr 17 2010 Paramjit Oberoi <param@cs.wisc.edu> - 0.3.2-1
- Release 0.3.2
* Mon Mar 2 2009 Paramjit Oberoi <param@cs.wisc.edu> - 0.3.1-1
- Release 0.3.1
* Fri Feb 27 2009 Paramjit Oberoi <param@cs.wisc.edu> - 0.3.0-1
- Release 0.3.0
* Tue Dec 6 2008 Paramjit Oberoi <param@cs.wisc.edu> - 0.2.4-1
- Release 0.2.4
- added egg-info file to %%files
* Tue Dec 11 2007 Paramjit Oberoi <param@cs.wisc.edu> - 0.2.3-1
- Release 0.2.3
* Tue Sep 24 2007 Paramjit Oberoi <param@cs.wisc.edu> - 0.2.2-1
- Release 0.2.2
* Tue Aug 7 2007 Paramjit Oberoi <param@cs.wisc.edu> - 0.2.1-1
- Release 0.2.1
* Fri Jul 27 2007 Tim Lauridsen <timlau@fedoraproject.org> - 0.2-3
- relocated doc to /usr/share/doc/python-iniparse-0.2
* Thu Jul 26 2007 Tim Lauridsen <timlau@fedoraproject.org> - 0.2-2
- changed name from iniparse to python-iniparse
* Tue Jul 17 2007 Tim Lauridsen <timlau@fedoraproject.org> - 0.2-1
- Release 0.2
- Added html/* to %%doc
* Fri Jul 13 2007 Tim Lauridsen <timlau@fedoraproject.org> - 0.1-1
- Initial build.
